Subject: Re: [Re: PATCH] numactl: fix libnuma on big-endian 64-bit systems

From: Mijo Safradin <[email-masked]>
Date: Wed, 10 Dec 2008 10:52:29 +0100

Cliff Wickman wrote:
> [email-masked]
> 
> Arnd Bergmann and Mijo Safradin called my attention to problems with
> libnuma's read_mask() on a big-endian 64-bit machine.
> 
> In testing that function I found it to be buggy on little-endian and 32-bit
> systems as well.
> 
> I propose a function that looks like the below.  The patch is farther below.
> (Arnd, I did not switch to longs, as that proved problematic.  The ascii hex
>  strings being scanned are 32-bit values.)
> 
> I tested on a 64-bit MIPS system.  Could you test on your platform?
> 

Hi Cliff,

using the current numactl-2.0.3-rc1.tar.gz, which contains your patch.
numademo breaks with "mbind: Invalid argument". 

Mijo